Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::for_each_fn Struct Reference
Inheritance diagram for ranges::views::for_each_fn:

## Synopsis of methods
constexpr for_each_fn | for_each {}

## Public Member Functions
template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::for_each_base_fn
template<typename Rng , typename Fun >
constexpr auto | operator() (Rng &&rng, Fun fun) const